OpenVDB: LeafNodeVoxelOffsets Struct Reference

OpenVDB 5.1.0

Public Types | Public Member Functions | List of all members
LeafNodeVoxelOffsets Struct Reference

`#include <VolumeToMesh.h>`

## Public Types
using | IndexVector = std::vector< Index >

## Public Member Functions
template<typename LeafNodeType >
void | constructOffsetList ()
const IndexVector & | core () const
| Return internal core voxel offsets. More...
const IndexVector & | minX () const
| Return front face voxel offsets. More...
const IndexVector & | maxX () const
| Return back face voxel offsets. More...
const IndexVector & | minY () const
| Return bottom face voxel offsets. More...
const IndexVector & | maxY () const
| Return top face voxel offsets. More...
const IndexVector & | minZ () const
| Return left face voxel offsets. More...
const IndexVector & | maxZ () const
| Return right face voxel offsets. More...
const IndexVector & | internalNeighborsX () const
| Return voxel offsets with internal neighbours in x + 1. More...
const IndexVector & | internalNeighborsY () const
| Return voxel offsets with internal neighbours in y + 1. More...
const IndexVector & | internalNeighborsZ () const
| Return voxel offsets with internal neighbours in z + 1. More...

## Member Typedef Documentation

## ◆ IndexVector

using IndexVector = std::vector<Index>

## Member Function Documentation

## ◆ constructOffsetList()

void constructOffsetList | ( |  | ) |
| inline

## ◆ core()

const IndexVector& core | ( |  | ) | const
| inline

Return internal core voxel offsets.

## ◆ internalNeighborsX()

const IndexVector& internalNeighborsX | ( |  | ) | const
| inline

Return voxel offsets with internal neighbours in x + 1.

## ◆ internalNeighborsY()

const IndexVector& internalNeighborsY | ( |  | ) | const
| inline

Return voxel offsets with internal neighbours in y + 1.

## ◆ internalNeighborsZ()

const IndexVector& internalNeighborsZ | ( |  | ) | const
| inline

Return voxel offsets with internal neighbours in z + 1.

## ◆ maxX()

const IndexVector& maxX | ( |  | ) | const
| inline

Return back face voxel offsets.

## ◆ maxY()

const IndexVector& maxY | ( |  | ) | const
| inline

Return top face voxel offsets.

## ◆ maxZ()

const IndexVector& maxZ | ( |  | ) | const
| inline

Return right face voxel offsets.

## ◆ minX()

const IndexVector& minX | ( |  | ) | const
| inline

Return front face voxel offsets.

## ◆ minY()

const IndexVector& minY | ( |  | ) | const
| inline

Return bottom face voxel offsets.

## ◆ minZ()

const IndexVector& minZ | ( |  | ) | const
| inline

Return left face voxel offsets.

The documentation for this struct was generated from the following file:

- VolumeToMesh.h